[project]
name = "flandre"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.12,<3.13"
dependencies = [
    "cupy-cuda12x>=13.3.0",
    "opencv-python>=4.10.0.84",
    "pyqt6>=6.8.0",
    "pyzmq>=26.2.0",
    "scipy>=1.14.1",
    "tqdm>=4.67.1",
    "jupyter>=1.1.1",
    "python-miio>=0.5.12",
    "click>=8.1.8",
    "mido[ports-rtmidi]>=1.3.3",
    "pyjoystick>=1.2.4",
    "platformdirs>=4.3.6",
    "zstd>=1.5.6.7",
    "matplotlib>=3.10.1",
]

[tool.setuptools.packages.find]
exclude = ["bak", "test"]
include = ["flandre*"]
